Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706500 - x11-libs/vte:0[python] depends on dev-python/pygtk
Summary: x11-libs/vte:0[python] depends on dev-python/pygtk
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: pygtk-removal
  Show dependency tree
 
Reported: 2020-01-26 17:13 UTC by Andreas Sturmlechner
Modified: 2020-09-27 17:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-01-26 17:13:55 UTC
Reverse dependencies:

app-emulation/vice
dev-ruby/ruby-vte
dev-util/geany[!gtk3]
dev-util/geany-plugins[!gtk3]
games-mud/gnome-mud-0.11.2-r2
media-sound/grip
lxde-base/lxterminal[!gtk3]
sci-chemistry/rasmol
sci-mathematics/genius
x11-misc/sunflower
x11-terms/lilyterm-0.9.9.4-r2
x11-misc/gtkdialog-0.8.3-r2 and x11-misc/gtkdialog-99999[!gtk3]
Comment 1 Mart Raudsepp gentoo-dev 2020-01-26 18:25:54 UTC
Out of these, only x11-misc/sunflower is slightly relevant; rest don't need USE=python on it.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-02-03 18:09:02 UTC
(In reply to Mart Raudsepp from comment #1)
> Out of these, only x11-misc/sunflower is slightly relevant; rest don't need
> USE=python on it.

There's dev-ruby/ruby-vte though, with dev-ruby/ruby-gnome2 as unconditional revdep...
Comment 3 Andreas Sturmlechner gentoo-dev 2020-08-18 09:47:17 UTC
We can proceed here now if you ACK the related changes in the linked PR.
Comment 4 Andreas Sturmlechner gentoo-dev 2020-09-08 20:05:07 UTC
ping...
Comment 5 Larry the Git Cow gentoo-dev 2020-09-27 17:52:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aded7dcda546cc5ffec65f8cc4e0a45084c20908

commit aded7dcda546cc5ffec65f8cc4e0a45084c20908
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-25 07:27:02 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-09-27 17:51:39 +0000

    x11-libs/vte: Drop IUSE=python
    
    Closes: https://bugs.gentoo.org/706500
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 x11-libs/vte/vte-0.28.2-r209.ebuild | 77 +++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)